# kol-skip-nav

<!-- Auto Generated Below -->


## Properties

| Property              | Attribute | Description                                                                                                        | Type                    | Default     |
| --------------------- | --------- | ------------------------------------------------------------------------------------------------------------------ | ----------------------- | ----------- |
| `_label` _(required)_ | `_label`  | Defines the visible or semantic label of the component (e.g. aria-label, label, headline, caption, summary, etc.). | `string`                | `undefined` |
| `_links` _(required)_ | `_links`  | Defines the list of links combined with their labels to render.                                                    | `LinkProps[] \| string` | `undefined` |


## Methods

### `focus() => Promise<void | undefined>`

Sets focus on the internal element.

#### Returns

Type: `Promise<void | undefined>`



### `kolFocus() => Promise<void | undefined>`

<span class="text-red-500">**[DEPRECATED]**</span> Use {@link focus} instead.<br/><br/>

#### Returns

Type: `Promise<void | undefined>`




----------------------------------------------


